
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
margin:0;
padding:0;
box-sizing: border-box;
font-family: 'Poppins', sans-serif;

}
body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #4d59fb;


}

.wrapper{
    width:420px;
    background: #ffffff;
    border-radius: 7px;
    padding:28px 28px 45px 45px;

}

.wrapper header{
    font-size: 28px;
    font-weight: 500;
    text-align: center;

}
.info-text{
    font-weight: 500;
}
.wrapper .search{
    margin: 35px 0px 18px;
    position: relative;
}
.wrapper.active ul{
    height: 303px;
    opacity: 1;

}
ul .content{
    max-height: 215px;
    overflow-y:auto;
}

ul .content::-webkit-scrollbar{
width:0px;
}

.wrapper.active .info-text{
    display: none;
}
.wrapper ul{
height: 0;
opacity: 0;
overflow: hidden;
transition: all 0.2s ease;
   
}

.wrapper .info-text{
    font-size:13px;
    color:#989898;
    margin: -3px 0 -10px ;
}
.search input
{
height: 53px;
width:100%;
outline:none;
border: 1px solid #999;
border-radius: 5px;
padding:0 42px;
font-size: 16px;

}
.search input::placeholder{
    color: #b8b8b8;

}
.search input:focus{
    padding: 0 41px;
    border:2px solid #4d59fb;

}
.search input:focus ~ i{
    color:#4d59fb;

}
.search :where(i,span){
position: absolute;
top: 50%;
color:#999;
transform: translateY(-50%);

}
.search i{
    left:18px;
    font-size: 16px;
    pointer-events: none;

}
.search span{
    right: 15px;
    cursor:pointer;
    font-size: 18px;
    display: none;
}
.search input:valid ~ span{
    display: block;
    color:black;
}

.wrapper ul li{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 14px;
    margin-bottom: 17px;
    border-bottom: 1px solid #ccc;
    
}
ul .word p{
    font-size: 22px;
    font-weight: 500;
}
ul .word span{
    font-size: 12px;
    color:#989898;
    font-weight: 500;

}
ul .word i{
    cursor:pointer;
    font-size: 15px;
    color:#999;

}

ul li:last-child{
    margin-bottom:0px;
    padding-bottom:0px;
    border-bottom:0px;
    }
.content li .details{
    padding-left:10px;
    border-radius:4px 0 0 4px;
    border-left: 3px solid #4d59fb
}
.content li .details p{
    font-size: 17px;
    font-weight: 500px;
}
.content li .details span{
    font-size: 15px;
    color: #7e7e7e;
}

.synonyms .details .list{
    display:flex;
    flex-wrap: wrap;
    
}
.synonyms .details .list span{
    margin-right:5px;
    text-decoration: underline;
    cursor: pointer;



}
